Package org.apache.commons.compress.archivers.zip

# Enum PKWareExtraHeader.EncryptionAlgorithm

java.lang.Object
java.lang.Enum<PKWareExtraHeader.EncryptionAlgorithm>
org.apache.commons.compress.archivers.zip.PKWareExtraHeader.EncryptionAlgorithm

All Implemented Interfaces:
  `Serializable`, `Comparable<PKWareExtraHeader.EncryptionAlgorithm>`

Enclosing class:
  `PKWareExtraHeader`

public static enum PKWareExtraHeader.EncryptionAlgorithm extends Enum<PKWareExtraHeader.EncryptionAlgorithm>
Enumerates encryption algorithm.

Since:
  1.11

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AES128`
  AES128 with code 0x660E.
  `AES192`
  AES192 with code 0x660F.
  `AES256`
  AES256 with code 0x6610.
  `DES`
  DES with code 0x6601.
  `RC2`
  RC2 with code 0x6702.
  `RC2pre52`
  RC2pre52 with code 0x6602.
  `RC4`
  RC4 with code 0x6801.
  `TripleDES168`
  TripleDES168 with code 0x6603.
  `TripleDES192`
  TripleDES192 with code 0x6609.
  `UNKNOWN`
  UNKNOWN with code 0xFFFF.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PKWareExtraHeader.EncryptionAlgorithm`
  `getAlgorithmByCode(int code)`
  Returns the EncryptionAlgorithm for the given code or null if the method is not known.
  `int`
  `getCode()`
  Gets the algorithm ID.
  `static PKWareExtraHeader.EncryptionAlgorithm`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PKWareExtraHeader.EncryptionAlgorithm[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DES

    public static final PKWareExtraHeader.EncryptionAlgorithm DES
    DES with code 0x6601.

  - ### RC2pre52

    public static final PKWareExtraHeader.EncryptionAlgorithm RC2pre52
    RC2pre52 with code 0x6602.

  - ### TripleDES168

    public static final PKWareExtraHeader.EncryptionAlgorithm TripleDES168
    TripleDES168 with code 0x6603.

  - ### TripleDES192

    public static final PKWareExtraHeader.EncryptionAlgorithm TripleDES192
    TripleDES192 with code 0x6609.

  - ### AES128

    public static final PKWareExtraHeader.EncryptionAlgorithm AES128
    AES128 with code 0x660E.

  - ### AES192

    public static final PKWareExtraHeader.EncryptionAlgorithm AES192
    AES192 with code 0x660F.

  - ### AES256

    public static final PKWareExtraHeader.EncryptionAlgorithm AES256
    AES256 with code 0x6610.

  - ### RC2

    public static final PKWareExtraHeader.EncryptionAlgorithm RC2
    RC2 with code 0x6702.

  - ### RC4

    public static final PKWareExtraHeader.EncryptionAlgorithm RC4
    RC4 with code 0x6801.

  - ### UNKNOWN

    public static final PKWareExtraHeader.EncryptionAlgorithm UNKNOWN
    UNKNOWN with code 0xFFFF.

- ## Method Details

  - ### values

    public static PKWareExtraHeader.EncryptionAlgorithm[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PKWareExtraHeader.EncryptionAlgorithm valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAlgorithmByCode

    public static PKWareExtraHeader.EncryptionAlgorithm getAlgorithmByCode(int code)
    Returns the EncryptionAlgorithm for the given code or null if the method is not known.
    Parameters:
      `code` - the code of the algorithm
    Returns:
      the EncryptionAlgorithm for the given code or null if the method is not known

  - ### getCode

    public int getCode()
    Gets the algorithm ID.
    Returns:
      the PKWare AlgorithmId